🏒 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • View.pick_helper dosen't work?

    3
    0 Votes
    3 Posts
    165 Views
    thomthomT
    I'll poke about some. I guess this is one for the Typos and Questions thread - as well as the bug section. (Or has it been reported already?)
  • Right click > add texture

    10
    0 Votes
    10 Posts
    541 Views
    J
    Anyone that has the time to write this script ?
  • Ruby request: Redraw function for multiple selected DCs ..

    4
    0 Votes
    4 Posts
    594 Views
    thomthomT
    The way I read it was that $dc_observers.get_latest_class would return the latest observer for the model. And that you can feed .redraw_with_undo(...) with the DC's you want.
  • Make Mountain Script ?

    5
    0 Votes
    5 Posts
    404 Views
    pilouP
    With the Zorro2 you can make something here manually but if you use Projection by Didier Bur you will have the multiple Push Pull with random ! Put negative number if the faces are White [image: attachment.php?attachmentid=45696&stc=1&d=1224438362] [image: g7IU_zorro.jpg]
  • Plug-In Request / Idea - update HouseBuilder extension?

    2
    0 Votes
    2 Posts
    506 Views
    D
    Hi everyone, I thought I'd just tack this request onto a related previous one. Would it be possible to change this script to create components instead of groups for the individual pieces of lumber being created for this script? I was trying to texture a wall made with this (orienting the grain) but I'd have to texture each individually or erase them and copy the 1 textured board all over (which makes this plugin worthless). Could someone modify the script to create all the boards as instances of a single component -- ideally with each different size being a different component (stretching a single component would distort the texture). At least this would I would only have to texture 2 different pieces for a single wall. I'm really not sure if this is a huge request or very simple, but I would be so glad if someone could help me out here.
  • Question to all Ruby programmers

    5
    0 Votes
    5 Posts
    230 Views
    charly2008C
    Hi Chris, Hi Thomas, in my brain it seemed clear to me. But to express it in english is a little bit difficult. Please be a little forbearingly with me. I try to explain the theoratical workflow: Manually creation of a road line above the terrain on a flat plane. Calculation of height points along this line on the terrain (Ruby?). Projecting the calculated points (may be as a line) on a perpendiculare face (unfolded height profile of the terrain) (Ruby?). Manually creation of the road height profile depending on the height profile of the terrain on this face or on new one (3.). Calculation of the new road height points and creation of a line.(Ruby?) Creation of the 3d road height line like it is done with shape bender (ruby). The steps above are In principle the more automated steps of that what i did manually in the Quick Road tutorial as there are: Manually creation of a road line above the terrain on a flat plane. Taking a copy of this line and placed it below the terrain. Creating of the terrain height profile using "Loft", Intersecting the face with the terrain to get the height profile. Manually take out a copy of the face. Manually creation a perpendiculare face with help by "Unfold". Manually creation of the road height profile by drawing a line on the same face. Manually removing all Terrain height profile lines from this face. Projecting road height profile line to a 3D Profile by "shape bender" Karlheinz
  • Custom Tool - Allow user to manipulate selection?

    4
    0 Votes
    4 Posts
    164 Views
    Chris FullmerC
    I'm pretty sure you need to re-write it. The only thing I can think of is there was a discussion a while ago about making other tools work like the orbit and pan tool, so they can be invoked while your tool is active, and not de0activate your tool. So you could try to do that with the selection tool, make it pass control to the selection tool without de-activating your script. I really don't remember who asked the question, but it seemed like RickW, AdamB, and maybe NewOne were involved in the conversation? Hmm, I don't recall. But I am thinking maybe it would be possible. I don't remember if "the magic" happens in the Tool.resume / Tool.suspend? or if it happens with the new .start_operation flags? Or what it was, but there was a conversation about it....sorry I can't give any better specifics. Maybe someone else knows what I'm remembering. Chris
  • Rendering question using ruby in SU

    2
    0 Votes
    2 Posts
    173 Views
    thomthomT
    You can't do reflection and refraction in SU. The only thing you can do is set the Style settings - same as what you do in the Styles Window. http://code.google.com/apis/sketchup/docs/ourdoc/renderingoptions.html If you need access to the OpenGL rendering you can't use Ruby for that. You'll have to hook into it by other means. btw, your image doesn't load.
  • Detect a Dimmension object without .typename

    22
    0 Votes
    22 Posts
    602 Views
    thomthomT
    Saves you typing even more if you type mask ||= object.getmask
  • Smooth start and stop cameramotion

    6
    0 Votes
    6 Posts
    281 Views
    J
    wow - it's hard to get some satifying results I wish that "smoothStepAnim" had some parameters to adjust the soft ness
  • Proxy Tools

    4
    0 Votes
    4 Posts
    375 Views
    AdamBA
    I mean I want to create a tool that code-wise looks like this: class MyProxyTool def onMouseMove(flags, x, y, view) <pseudo-code> call the SU movetool with (flags,x,y,view) arguments </pseudo-code> end .. and so on .. end So its a tool that just passes everything onto the Movetool (for example) to allow it to "do its stuff". Does that make sense? Adam
  • Plugin Request- Ager

    5
    0 Votes
    5 Posts
    377 Views
    P
    I'm just thinking outside the realm of SketchUp. What would a good program for this question be other than SketchUp?
  • Extend line

    9
    0 Votes
    9 Posts
    2k Views
    C
    just an observation about using k-tools to extend/intersect lines. if you extend a line to meet another line and you are working within a group, the second line will be redrawn outside of the group.
  • Help to share data between SU Ruby and JS

    3
    0 Votes
    3 Posts
    199 Views
    N
    @unknownuser said: I've modified your code to work. I've tested it in Safari. Should work in Windows just fine. Todd (EDIT - you can remove the <form> tags.) Wow! thanks I tried something like that (but not really alike) before posting the problem here... and of course it did not worked. Thanks again. I will take a closer look to see where I did wrong...I know that I must love JS, but I still hate it
  • How to be sure that the UI is updated?

    3
    0 Votes
    3 Posts
    178 Views
    S
    Yes I'm looking to be sure that the UI is updated while I have a ruby script running. Actually I'm playing with the shadows and I want to save some pictures. I share the idea to have Ruby running faster but in a lot of time it doesn't help. For example, when the Ruby console is no more updated (yes I'm still looking for a good tool to work on my plug-ins: spy, step-running, break points, ...) What looks strange to me is that there's a function to say to Sketchup that it must not update the UI anymore. Is there any function to tell it to update the UI right now? A kind of "flush". Thanks Serge
  • Font of text

    4
    0 Votes
    4 Posts
    301 Views
    Chris FullmerC
    Hi pout, there is no = sign on the method. (I do not know how to use it though). You might also see if the text object has an attribute library attached to it? I don't know if it does, its just a thought. Maybe font could be controlled there? But I would guess the method set_last_size might be better? Chris
  • How can import and locate the components by ruby script?

    4
    0 Votes
    4 Posts
    1k Views
    W
    The information is vrey important .And I want to import some components into coordinates by ruby scripts and locate the components by parameter form the user,What methods need to refer? Please give me some suggestions.Thanks! The size of components add a lot of difficulties,because space of the components need to taken in my ruby script.Now ,I have trouble to deal with that. Does some solutions be gave?
  • Announcement: Sketchup Virtual Builder **UPDATE**

    6
    0 Votes
    6 Posts
    1k Views
    P
    My apoligizes for the lack on information. I hope the explanation below gives a better insight on what the plugin does. About the Sketchup Virtual Builder Plugin Light: With this plugin you can add planning-scheduling information to the Sketchup model. The user can create "tasks" (aka xD Objects) in Sketchup in a webdialog interface. These tasks are specified by a startdate (when the works start) and end date (when the works finish) a name (what are the works) and a 4D Type (how is it respresented visually) Each task can be linked to it's visual representation in Sketchup. Eg. the Sketchup Entity that is the decking of the first floor can be virtually linked (by clicking a button) to the task "Decking first floor" This can be done for all tasks and all entities in the Sketchup model. Like that entities in Sketchup can be visualized in time. With the plugin the user can select a date (like 11-09-2010) in Sketchup. The plugin then calculates for each Sketchup entity what his status is (depending on the task it is linked to) So on the selected date a Sketchup entity can already been build, or not yet build, or being build, or being demolished, or already demolished, etc. Thus the selected date will show, in Sketchup, the status of the model on that date (entities that have not yet been build according to their task will not be shown, other will be shown as being build, and so on) This way the user can see the project getting build in time and check if everything is possible or if there will be construction scheduling problems. Some key functionalities: Link-Unlink Sketchup entities to user-defined tasks Choose a 4D Type and specify the colors: Eg. construction: when not yet started don't show the SU entities, when being constructed show the entities in transparent red, when construction is finished show the entities in original color Eg. demolition: before being demolished show the entities in original color, when being demolished show the entities in trasnparent blue, when demolishing is finished don't show the entities Automatically play the project scheduling: automatically shows the construction progress in Sketchup Go Back/Forward in time: by month/quarter/year/2 years Automatically create scenes for the task dates and update the view when clicking on a scene and use Sketchup scenes functionalities (to use different viewpoints for example) Automatically generate project images: automatically create an image for each date of the project Show Shadows: Shows the shadows of the selected date for the model. ... No original information is lost. At any time the user can reset the model to it's original colors and show all entities. With the full version: It is possible to directly use Microsoft Project-Primavera-Powerproject scheduling information to link the Sketchup entities to. (no import of information) Below is a HD youtube movie link and a link to a 1024*768 movie HD Youtube 1024*768 Hope this helps! Regards and thanx
  • Yet another SavePanel question

    5
    0 Votes
    5 Posts
    243 Views
    thomthomT
    Test the return value. The manual has been wrong before. It might be false or en empty string.
  • How to select everything touching a bounding box?

    6
    0 Votes
    6 Posts
    405 Views
    Chris FullmerC
    I doubt that anyone has published a helper method to do exactly what you are looking for. But you have the logic correct. First clear the selection (in case the user has something selected). Then search through all entities and find the ones on the wrong side of x. Then add all those to the selection set. ` model = Sketchup.active_model ents = model.active_entities sel = model.selection sel.clear! ents.each do |e| if e is on the wrong side of x- Add your code here sel.add e end end` Everything in that "your code ghoes here" part needs to decide what type of entity is being looked at and then you have to specify how to determine if that entity is on the wrong side of x. To simplify it, you could just look at the bounding box of each entity and determins if the center of the bounding box is on the wrong side of x. If it is, then add it. That would be the simplest way and would look something like this: if e.bounds.center[0] > my_x sel.add e end Chris I guess I pretty much wrote the whole thing, so I might as well just finish it up. Here is a whole little snippet of working code: ` model = Sketchup.active_model ents = model.active_entities sel = model.selection sel.clear my_x = 0.0 ents.each do |e| if e.bounds.center[0] > my_x sel.add e end end`

Advertisement